#include <bits/stdc++.h>
#ifdef LOCAL
#define dbg(x) cerr << #x << " = " << (x) << endl
#else
#define dbg(x)
#endif

using ll=long long;
#define pii pair<int,int>
#define vi vector<int>
#define vll vector<ll>
#define all(v) v.begin(), v.end()
#define cyan cin.tie(0)->sync_with_stdio(0);
/*
auto max_it = max_element(all(v))
// Find the first element strictly greater than k
auto it = upper_bound(all(v), k);
// Find the first element geq than k
auto it = lower_bound(all(v), 30);
*/
//compress- 중복제거해서 정렬
#define compress(vec) do { \
    sort((vec).begin(), (vec).end()); \
    (vec).erase(unique((vec).begin(), (vec).end()), (vec).end()); \
} while(0)

#define elif else if
#define endl '\n'
using namespace std;
const ll MOD = 1e9+7;
ll modpow(ll a, ll b, ll m=MOD){ // a^b mod m
    ll r=1; a%=m;
    for(; b; b>>=1, a=a*a%m) if(b&1) r=r*a%m;
    return r;
}
int main(){
    cyan
}
